bitmap_allocate_region
Prev | Bitmap Operations | Next

## Name

bitmap_allocate_region — allocate bitmap region

## Synopsis

`int bitmap_allocate_region (` | unsigned long * | bitmap,
| int | pos,
| int | order`)`;

## Arguments

`bitmap`

  array of unsigned longs corresponding to the bitmap

`pos`

  beginning of bit region to allocate

`order`

  region size (log base 2 of number of bits) to allocate

## Description

Allocate (set bits in) a specified region of a bitmap.

Return 0 on success, or `-EBUSY` if specified region wasn't free (not all bits were zero).

Prev | Up | Next
bitmap_release_region | Home | bitmap_pos_to_ord